<bugID>1280700<Summary>Investigate offering an option to display URL before page title</Summary><Description>After bug 1181078 was fixed, i.e. the new design of bug 959564 was implemented (http://people.mozilla.org/~shorlander/mockups/AwesomeResults/AwesomeResults-02.html)
the search suggestions in awesomebar appear having the page title first and then the URL.


I'd suggest to offer the user a choice between having:
1. the page title first and then the URL (i.e. as it is), or
2. the URL first and then the page title.


In my opinion, while navigating to the internet, 
more valuable information is the URL than the page title.
Knowing the page title (or bookmark title) is comfortable,
but it's more important (for keeping your browsing safe) to easily check visually the target URL .

IMHO, the user should be offered an option to choose which of the title and URL to show first in the awesomebar search suggestions.


PS. Chrome's omnibox shows the URL first and then the page title.
I dont't say of course that this is better than Firefox's choice of implementation,
but either way, especially for a user switching from Chrome to Firefox,
I believe it would make it better having a choice.</Description></bugID>